package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcYqbg;
import org.apache.ibatis.annotations.Param;

/**
 * 舆情报告Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcYqbgMapper 
{
    /**
     * 查询舆情报告
     * 
     * @param id 舆情报告主键
     * @return 舆情报告
     */
    public TcYqbg selectTcYqbgById(Long id);

    /**
     * 查询舆情报告列表
     * 
     * @param tcYqbg 舆情报告
     * @return 舆情报告集合
     */
    public List<TcYqbg> selectTcYqbgList(TcYqbg tcYqbg);

    /**
     * 新增舆情报告
     * 
     * @param tcYqbg 舆情报告
     * @return 结果
     */
    public int insertTcYqbg(TcYqbg tcYqbg);

    /**
     * 修改舆情报告
     * 
     * @param tcYqbg 舆情报告
     * @return 结果
     */
    public int updateTcYqbg(TcYqbg tcYqbg);

    /**
     * 删除舆情报告
     * 
     * @param id 舆情报告主键
     * @return 结果
     */
    public int deleteTcYqbgById(Long id);

    /**
     * 批量删除舆情报告
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcYqbgByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
